import { CreateFormArgs } from "./createForm";
export declare function useForm(args: CreateFormArgs, deps?: any[]): {
    fields: Record<string, import("./createField").Field<string, string>>;
    state: {
        isSubmitting: boolean;
        valuesAtLastSubmit: string | undefined;
        submitCount: number;
    };
    computed: {
        readonly isDirty: boolean;
        readonly errorList: (string | undefined)[];
        readonly isError: boolean;
        readonly isValid: boolean;
        readonly valueList: string;
        readonly isChangedSinceLastSubmit: boolean;
    };
    actions: {
        add(field: import("./createField").Field<string, string>): void;
        submit: () => any;
    };
};
